AgentConnect
Integrations

List an agent’s pending Teams bot requests

The requests for this agent’s own Teams bot that still wait for a Teams administrator’s approval, or stopped for a reason the status names. Never returns the stored sign-in.

GET
/v1/orgs/{orgId}/integrations/msteams/requests

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Query Parameters

agentId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/integrations/msteams/requests?agentId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "requests": [    {      "id": "string",      "agentId": "string",      "tenantId": "string",      "status": "pending",      "reason": "string",      "name": "string",      "createdAt": "string",      "adminCenterUrl": "string"    }  ]}